using System.Numerics;

namespace SlatedGameToolkit.Framework.Graphics.Render
{
    public interface IPositionInterpolable
    {
        /// <summary>
        /// Is called between each update to allow rendered meshes to be interpolated between positions and time steps.
        /// </summary>
        /// <param name="delta">A normalized value between [0, 1] representing the current position between the updates.</param>
        void InterpolatePosition(float delta);
    }
}