using System.Drawing;
using System.Numerics;

namespace SlatedGameToolkit.Framework.Utilities
{
    public static class RectangleUtils
    {
        public static RectangleF MultiplyBy(this RectangleF rectangle, float multiplier) {
            RectangleF rect = rectangle;
            rect.X *= multiplier;
            rect.Y *= multiplier;
            rect.Width *= multiplier;
            rect.Height *= multiplier;
            return rect;
        }

        public static bool Contains(this RectangleF rect, Vector2 vector) {
            if (vector.X < rect.X) return false;
            if (vector.X > rect.X + rect.Width) return false;
            if (vector.Y > rect.Y + rect.Height) return false;
            if (vector.Y < rect.Y) return false;
            return true;
        }
    }
}